# client.agents.gate_policy

> client.agents.gate_policy — the agents.gatePolicy operations.

`client.agents.gate_policy` — the `agents.gatePolicy` operations.

On `AsyncKindgi` every method is the same, awaited.

## `client.agents.gate_policy.resolve()`

```python signature
resolve(
    agent_id: str | UUID,
    /,
    *,
    scope_kind: Literal['tenant', 'org', 'project', 'segment'] | None = None,
    scope_id: str | UUID | None = None,
    segments: Sequence[ScopeSegment | Mapping[str, str]] | None = None,
    timeout: float | None = None,
) -> GatePolicyResolution
```

The gate policy for a scope. `GET /v1/agents/{agentId}/gate-policy`

The gate policy a promotion of the agent for the scope would be checked against: the most specific scope with an active policy (a segment path's longer prefixes first, then its project, the project's org, the tenant), at its latest active version. `policy: null` when none applies.
